Create an application config A/B testing variant

You can create a variant by calling this endpoint.

REQUIRED API PERMISSION
write:config_application
Path Params
string
required
Body Params
consentOverrides
array of objects
required

Defines consent overrides for the variant.
Consent IDs in the list are required to be unique.
Add/override: { "consent": { "id": "<consent-uuid>" }, "type": "[optional|mandatory|mandatoryHidden]" }
Remove: { "consent": { "id": "<consent-uuid>" }, "type": null }

consentOverrides*
string
length between 0 and 1024
boolean
Defaults to false
hookOverrides
object
required

Defines lifecycle event hook overrides for the variant.
Alternative hook configuration for a specific hook type: "HOOK_TYPE" : {"id" : "<hook-uuid>"}
Remove hook: "HOOK_TYPE" : {"id" : null}

string
required
length between 1 and 64

Represents the name of the variant. Must not be 'baseline' (case insensitive).

policyOverrides
object
required

Defines policy overrides for the variant.
If any of them is set to null, the policy will be inherited.
Identity proofing policy can be unset to 'No verification policy' option by "identityProofing" : { "id": null }

target
object
required
Headers
string
enum
Defaults to application/problem+json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*
application/problem+json